summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFlorian Pritz <bluewind@xinu.at>2016-11-01 17:25:19 +0100
committerFlorian Pritz <bluewind@xinu.at>2016-11-01 17:26:18 +0100
commit6a536301c6290dabbd1adffda80f068f04108c23 (patch)
treedb4a581c86c49a873f0b56894b0dd2d8662b206d
parentecb9a19cfaf627af4fc316a2125cd10d7e233150 (diff)
scripts/install-git-hooks.sh: Catch errors
Signed-off-by: Florian Pritz <bluewind@xinu.at>
-rwxr-xr-xscripts/install-git-hooks.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/scripts/install-git-hooks.sh b/scripts/install-git-hooks.sh
index 05a7c9017..4ae22fa79 100755
--- a/scripts/install-git-hooks.sh
+++ b/scripts/install-git-hooks.sh
@@ -1,4 +1,7 @@
#!/bin/bash
+
+set -e
+
SCRIPTS_DIR=$(realpath $(dirname "$0"))
HOOK_DIR=$(realpath "$SCRIPTS_DIR/../.git/hooks")
HOOK_NAMES="applypatch-msg pre-applypatch post-applypatch pre-commit prepare-commit-msg commit-msg post-commit pre-rebase post-checkout post-merge pre-receive update post-receive post-update pre-auto-gc"